From 904fbec31b5fc0cf3edf73e5fa34e1f14bb03531 Mon Sep 17 00:00:00 2001
From: Xiyue Deng <manphiz@gmail.com>
Date: Mon, 24 Feb 2025 22:24:24 -0800
Subject: [PATCH 1/2] test/vars: add TEST_EMACS_MAJOR_VERSION

This helps conditionally compare test outputs based on Emacs major
version.
---
 test/test-vars.sh | 1 +
 1 file changed, 1 insertion(+)

diff --git a/test/test-vars.sh b/test/test-vars.sh
index 02d60f89..60569bbc 100644
--- a/test/test-vars.sh
+++ b/test/test-vars.sh
@@ -29,6 +29,7 @@ if [[ ( -n "$TEST_EMACS" && -z "$TEST_EMACSCLIENT" ) || \
 fi
 TEST_EMACS=${TEST_EMACS:-${EMACS:-emacs}}
 TEST_EMACSCLIENT=${TEST_EMACSCLIENT:-emacsclient}
+TEST_EMACS_MAJOR_VERSION=${TEST_EMACS_MAJOR_VERSION:-$(${TEST_EMACS} -Q --batch --eval '(prin1 emacs-major-version)')}
 TEST_GDB=${TEST_GDB:-gdb}
 TEST_CC=${TEST_CC:-cc}
 TEST_CFLAGS=${TEST_CFLAGS:-"-g -O0"}
-- 
2.47.2

